#{extends 'borderNG.html' /}

<ol class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}">&{'kontrak.paket_tender_ppk'}</a></li>
	<li><a href="@{lelang.KontrakCtr.sppbjPpk(lelang.lls_id)}">&{'kontrak.e_kontrak'}</a></li>
	<li class="active">&{'kontrak.form_sppbj'}</li>
</ol>
<div class="content">

#{alert /}
#{form @lelang.KontrakCtr.simpanSppbj(lelang.lls_id), name:'formSppbj', enctype:"multipart/form-data", method:'POST', class:'form-horizontal'}
    #{if sppbj?.sppbj_id} <input type=hidden name="sppbj.sppbj_id" value="${sppbj.sppbj_id}"/>#{/if}
    #{if pemenang==null}
		<div class="bs-callout bs-callout-danger">&{'kontrak.belum_ada_pemenang'}</div>
    #{/if}
	<div class="alert alert-danger" role="alert" id="belum-pilih" style="display: none;">
		<i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
		&nbsp;&{'kontrak.belum_memilih'}
	</div>
	<table class="table border tables1">
       
			<tr class="prop">
				<td width="300" valign="top" class="rup_anggaran">&{'kontrak.belum_ada_prencana_pengadaan'}</td>
				<td class="#{errorClass 'sppbj.rup_anggaran'/}">
					<table class="table border table-bordered">
						<thead>
						<tr>
							<th width="100">&{'kontrak.kode_rup'}</th>
							<th>&{'kontrak.nama_paket'}</th>
							<th width="150">&{'kontrak.sumber_dana'}</th>
							<th width="50">&{'kontrak.detail'}</th>
						</tr>
						</thead>
						<tbody>
                            #{list items:rupList, as:'rup'}
							<tr>
								<td>${rup.id}</td>
								<td>${rup.nama}</td>
								<td>${rup.sumberDanaString}</td>
								<td><a href="javascript:void(0);" onclick="detailAnggaran(${rup.id})"
								       title="Detail Anggaran"><i class="fa fa-list"></i></a></td>
							</tr>
							<tr style="display: none" id="da_${rup.id}">
								<td colspan="4">
									<table id="tblSumberAnggaran" class="table table-condensed">
										<tr>
											<th width="100">&{'kontrak.tahun'}</th>
											<th width="180">&{'kontrak.sumber_dana'}</th>
											<th>&{'kontrak.kode_anggaran'}</th>
											<th width="150">&{'kontrak.nilai'}</th>
										</tr>
                                        #{list items:rup.getAnggaranList(lelang.pkt_id, ppk_id), as:'anggaran'}
											<tr>
												<td>${anggaran?.ang_tahun}</td>
												<td>${anggaran?.sbd_id.label}</td>
												<td>${anggaran?.ang_koderekening}</td>
												<td>${anggaran.ang_nilai?.rupiah()}</td>
											</tr>
                                        #{/list}
									</table>
								</td>
                            #{/list}
						</tbody>
					</table>
					<span class="help-block">#{error 'sppbj.rup_anggaran' /}</span>
				</td>
			</tr>

		<tr class="prop">
			<td width="300" valign="top" class="name">&{'kontrak.no_sppbj'} <span class="error">*</span></td>
			<td class="#{errorClass 'sppbj.sppbj_no'/}">
				<input type="text" class="form-control input-sm " id="noSppbj" name="sppbj.sppbj_no"
				       value="${sppbj?.sppbj_no}"/>
				<span class="help-block">#{error 'sppbj.sppbj_no' /}</span>
			</td>
		</tr>

		<tr class="prop">
			<td valign="top" class="name">&{'kontrak.lampiran_sppbj'}</td>
			<td valign="top">
				<input type="text" class="form-control input-sm" id="lampSppbj" name="sppbj.sppbj_lamp" value="${sppbj?.sppbj_lamp}"/>
				<span class="help-block"><em>&{'kontrak.contoh_pengisian'}</em></span>
			</td>
		</tr>

		<tr>
            <td valign="top" class="name">&{'kontrak.kota_sppbj'} <span class="error">*</span></td>
            <td valign="top" class="#{errorClass 'sppbj.sppbj_kota' /}">
				<input type="text" class="form-control input-sm " id="kotaSppbj" name="sppbj.sppbj_kota"
				       value="${sppbj?.sppbj_kota}"/>
                <span class="help-block">#{error 'sppbj.sppbj_kota' /}</span>
            </td>
		</tr>

		<tr class="prop">
			<td valign="top">&{'kontrak.tgl_sppbj'} <span class="error">*</span></td>
			<td valign="top" class="#{errorClass 'sppbj.sppbj_tgl_kirim' /}">

				<div class=" input-group date width-normal ">
					<input name="sppbj.sppbj_tgl_kirim" value="${sppbj?.sppbj_tgl_kirim?.toDatepicker()}" type="text"
					       class="form-control"/>
					<span class="input-group-addon"><i class="fa fa-calendar"></i></span>
				</div>

				<span class="help-block">#{error 'sppbj.sppbj_tgl_kirim' /}</span>
			</td>
		</tr>
		<tr>
			<td>Penyedia <span class="error">*</span></td>
			<td class="#{errorClass 'sppbj.rkn_id'/}">
				<table class="table table-condensed" style="width:100%">
					<tr>
						<th width="10" class="fcol titleTop"></th>
						<th width="150" class="titleTop">&{'kontrak.pemenang'}</th>
						<th width="150" class="hrlast titleTop">&{'kontrak.email'}</th>
						<th width="150" class="hrlast titleTop">&{'kontrak.harga'}</th>
						<th width="150" class="hrlast titleTop">&{'kontrak.undangan_kontrak'}</th>
					</tr>

                    #{list items:peserta, as:'calon'}
						<tr>
							<td style="text-align:center">
								<input type="radio" name="rekananId" id="rekananId" class="cmbRknId" harga="${calon.hargaFinal().formatDouble()}"
								       value="${calon.peserta.rekanan.rkn_id}" hargaRupiah="${calon.hargaFinal().rupiah()}"
                                       #{if (!lelang?.isItemized() || sppbj != null) && (calon.peserta.rekanan.rkn_id==sppbj?.rekanan?.rkn_id
                                       || (sppbj?.rekanan?.rkn_id == null && calon.isLulus())
                                       || (lelang.pemilihan.lelangExpress && calon.peserta.is_pemenang_verif))}checked#{/if}
								       readonly/>
							</td>
							<td>${calon.peserta.rekanan.rkn_nama} <br>
                                #{if calon.peserta.rekanan.rkn_id==sppbj?.rekanan?.rkn_id}
									<span class="error">* Berdasar SPPBJ</span><br/>
                                #{/if}
                                #{if lelang.pemilihan.lelangExpress && calon.peserta.is_pemenang_verif}
									<span class="error">* Berdasar Verifikasi Pokja</span><br/>
                                #{/if}
                                #{if calon.isLulus()}
									<script type="text/javascript">
										var lulus_system = ${calon.peserta.rekanan.rkn_id};
									</script>
                                    #{if lelang.getPemilihan().isLelangExpress()}
										<span class="error">* Penawaran Terendah</span><br/>
                                    #{/if}
                                    #{else}
										<span class="error">* Pemenang Hasil Evaluasi</span><br/>
                                    #{/else}
                                #{/if}
							</td>
							<td>${calon.peserta.rekanan.rkn_email}</td>
							<td>${calon.hargaFinal().rupiah()}</td>
							<td>
                                #{if calon.peserta.sudahTerimaUndanganKontrak() }
									<a href="@{admin.UtilityCtr.viewUdanganPdf(calon.peserta.lls_id, calon.peserta.rkn_id, models.common.JenisEmail.UNDANGAN_KONTRAK)}"
									   class="badge">
										<i class="fa fa-download"></i>
										&{'kontrak.btn_cetak'}
									</a>
                                #{/if}
                                #{if calon.peserta.rekanan.rkn_id==sppbj?.rekanan?.rkn_id}
									<a href="@{lelang.KontrakCtr.undanganKontrak(sppbj?.sppbj_id, calon.peserta.psr_id)}"
									   class="badge" value="form-undang-kontrak">
										<i class="fa fa-envelope"></i>
                                        #{if calon.peserta.sudahTerimaUndanganKontrak() }
										&{'kontrak.kirim_ulang'}
                                        #{/if}
                                        #{else}
										&{'kontrak.kirim'}
                                        #{/else}
									</a>
                                #{/if}
							</td>
						</tr>
                    #{/list}
					<tr style="#{if sppbj == null || sppbj?.catatan_ppk == null || sppbj?.catatan_ppk == ""}display:none#{/if}" id="baris_catatan">
						<td colspan="5" class="#{errorClass 'sppbj.catatan_ppk'/}">
							<label>&{'kontrak.alasan_mengundurkan_diri'}</label>
							<textarea class="form-control" name="sppbj.catatan_ppk" id="catatan_ppk"
							          rows="5" disabled>${sppbj?.catatan_ppk}</textarea>
							<span class="help-block">#{error 'sppbj.catatan_ppk' /}</span>
							<span class="help-block" id="errMsg" style="display: none;">
								&{'kontrak.min_alasan'}
							</span>
						</td>
					</tr>
				</table>
                #{if peserta.size() > 1}
					#{if !lelang?.isItemized()}
						<div class="bs-callout bs-callout-info" id="div-editPemenang">
							&{'kontrak.jika_pemenang_mengundurkan_diri'}
							<a href="javascript:void(0)" onclick="editPemenang()" class="badge">&{'kontrak.klik_disini'}</a>
							&{'kontrak.untuk_memilih_cadangan'}
						</div>
					#{/if}
					#{else}
						<div class="bs-callout bs-callout-info" id="div-editPemenang">
							<a href="javascript:void(0)" onclick="editPemenang()" class="badge">klik di sini</a>
							&{'kontrak.untuk_memilih_pemenang'}
						</div>
					#{/else}
                #{/if}
				<span class="help-block">#{error 'sppbj.rkn_id' /}</span>
			</td>
		</tr>
		<tr class="prop">
			<td valign="top" class="name">&{'kontrak.nama_tender'}</td>
			<td valign="top">
            ${lelang.paket.pkt_nama}
			</td>
		</tr>

        #{if sppbj?.sppbj_id != null }
			<tr class="prop">
				<td valign="top" class="name">&{'kontrak.rincian_harga'}</td>
				<td valign="top">
                	${sppbj?.dkh?.total?.rupiah()}
					<a href="@{lelang.KontrakCtr.sppbjHps(sppbj.sppbj_id)}" class="badge">&{'kontrak.lihat_rincian'}</a>
				</td>
			</tr>
        #{/if}

		<tr class="prop">
			<td valign="top" class="name">&{'kontrak.harga_kontrak'} (Rp) <span class="error">*</span></td>
			#{if !isKonsolidasi}
				<td class="#{errorClass 'sppbj.harga_final'/}">
					<input id="hargaFinal" class="form-control" name="sppbj.harga_final"
						   value="${hargaFinal.formatDouble()}"/>
					<span class="help-block">#{error 'sppbj.harga_final' /}</span>

					<div class="bs-callout bs-callout-warning">
						&{'kontrak.gunakan_koma'}
					</div>
				</td>
			#{/if}
			#{else}
				<td>
					<span id="hargaFinalKonsolidasi">${hargaFinal?.rupiah()}</span>
					<input type="hidden" id="hargaFinal" class="form-control" name="sppbj.harga_final"
                               value="${hargaFinal.formatDouble()}"/>
					&nbsp;
					#{if !sppbj?.sudah_kirim_pengumuman}
                    	<a id="lihatRincianFinal" href="@{lelang.KontrakCtr.rincianHargaPemenang(lelang.lls_id)}" class="badge">Lihat Rincian Harga Final</a>
					#{/if}
				</td>
			#{/else}
		</tr>

		#{if !konsultan}
			<tr class="prop">
				<td valign="top" class="name">&{'kontrak.nilai_jaminan'} (Rp)</td>
				<td class="#{errorClass 'sppbj.jaminan_pelaksanaan'/}">
					<input id="jaminanPelaksanaan" class="form-control" name="sppbj.jaminan_pelaksanaan"
						   value="${jaminanPelaksanaan?.formatDouble()}"/>
					<span class="help-block">#{error 'sppbj.jaminan_pelaksanaan' /}</span>

					<div class="bs-callout bs-callout-warning">
						&{'kontrak.gunakan_koma'}.
					</div>
				</td>
			</tr>
		#{/if}

		<tr class="prop">
			<td valign="top" class="name">&{'kontrak.nama_saker'}</td>
			<td valign="top">
            ${lelang?.paket?.getNamaSatker()}
			</td>
		</tr>

		<tr class="prop">
			<td valign="top" class="name">&{'kontrak.nama_ppk'}</td>
			<td valign="top">
            ${pegawai?.peg_nama}
			</td>
		</tr>

		<tr class="prop">
			<td valign="top" class="name">&{'kontrak.nip_ppk'}</td>
			<td valign="top">
            ${pegawai?.peg_nip}
			</td>
		</tr>

		<tr class="prop">
			<td valign="top" class="name">&{'kontrak.tembusan'}</td>
			<td valign="top">
				<table class="table table-condensed" id="tblTemb">
                    #{list items:tembusan, as:'tmbusan'}
                        #{set i : tmbusan_index - 1 /}
						<tr>
							<td><input type="text" name="nama[${i}]" id="nama" size="15" maxlength="40" value="${tmbusan}" class="form-control"></td>
							<td><a href="javascript:void(0)" class="removeBtn"><i class="fa fa-trash-o fa-lg"></i></a></td>
						</tr>
                    #{/list}
				</table>
				<button type="button" class="btn btn-default btn-sm" id="tambahTemb"><i class="fa fa-plus-circle"></i>
					&{'kontrak.tbh_tembusan'}
				</button>
			</td>
		</tr>
        #{if sppbj != null }
			<tr>
				<td valign="top" class="name">&{'kontrak.doc_cetak_sppbj'}</td>
				<td valign="top">
					<div class="btn btn-success fileinput-button" style="margin-bottom: 10px;">
						<i class="glyphicon glyphicon-plus"></i>
						<span>&{'kontrak.upload'}</span>
						<input id="fileupload" type="file" name="file" />
					</div>
					<div id="progress" class="progress" style="display: none;">
						<div class="progress-bar progress-bar-success"></div>
					</div>
					<div id="alert-upload"></div>

					<table class="table table-striped" id="files">
						<thead>
						<th>&{'kontrak.nama_file'}</th>
						<th>&{'kontrak.tgl_upload'}</th>
						<th>&{'kontrak.aksi'}</th>
						</thead>
						<tbody>
							#{list items:sppbj?.dokumen, as:'dok'}
							<tr>
								<td>#{download dok/}</td>
								<td>${dok?.blb_date_time?.formatDateTime()}</td>
								<td><a href="javascript:void(0)" title="Hapus" class="removeDokSppbj" versi="${dok.blb_versi}">
									<i class="fa fa-trash-o"></i></a>
								</td>
							</tr>
							#{/list}
						</tbody>
					</table>
				</td>
			</tr>
        #{/if}
        #{if pemenang!=null}
			<tr>
				<td colspan="2">
					<button type="submit" name="simpan" class="btn btn-success"><i class="fa fa-save"></i> &{'kontrak.btn_simpan'}</button>
                    #{if sppbj?.sppbj_id && sppbjx?.harga_final > 0.0}
						<a href="@{lelang.KontrakCtr.cetakDokSppbj(sppbj.sppbj_id)}" class="btn btn-primary"
						   target="_blank"><i class="fa fa-print"></i> &{'kontrak.btn_cetak'}</a>

						#{if sppbj?.sudah_kirim_pengumuman}
                            <a href="javascript:void(0)" class="btn btn-primary" disabled><i
                                    class="fa fa-check-circle"></i> &{'kontrak.sudah_kirim_pengumuman'}</a>
						#{/if}
						#{else}
                            <a href="@{lelang.KontrakCtr.kirimPengumumanSppbj(sppbj.sppbj_id)}" class="btn btn-primary"><i
                                    class="fa fa-envelope"></i> &{'kontrak.kirim_pengumuman'}</a>
						#{/else}
                    #{/if}
					<a href="@{lelang.KontrakCtr.sppbjPpk(lelang.lls_id)}" class="btn btn-default"> &{'kontrak.btn_kembali'}</a>

				</td>
			</tr>
        #{/if}
	</table>
    #{if sppbj?.sppbj_id && sppbjx?.harga_final == 0.0}
		<div class="alert alert-warning" role="alert">
			&{'kontrak.cetak_sppbj_kirim'}
		</div>
    #{/if}

	<div class="alert alert-danger" role="alert" id="blacklisted">
		<p><h5><strong><i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
		&{'kontrak.peserta_blacklist'}</strong></h5>
		&{'kontrak.silahkan_akses'}</p>
	</div>

	<div class="alert alert-danger" role="alert" id="confirmation">
		<p><h5><strong><i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
		&{'kontrak.spse_blacklist'}</strong></h5>
		&{'kontrak.mohon_pastikan_manual'}
		<br/><br/>&{'kontrak.lanjutkan_penetapan_peserta'}</p>
		<br/>
		<button class="btn btn-success" id="yes-confirm">Ya</button>&nbsp;<button class="btn btn-default" id="no-confirm">{'kontrak.tidak'}
	</button>
	</div>

	<div class="alert alert-warning" role="alert" id="load">
		<p><h5><strong><i class="fa fa-history" aria-hidden="true"></i>
		&{'kontrak.pemeriksaan_blacklist'}</strong></h5></p>
	</div>


#{/form}
</div>

#{set 'css_custom' }
<link href="#{assets '/bootstrap/css/bootstrap-datepicker.min.css'/}" rel="stylesheet" type="text/css">
<link href="#{assets '/bootstrap/css/jquery.fileupload.css'/}" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/bootstrap/js/bootstrap-datepicker.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/javascripts/numeral.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/javascripts/form.util.js'/}"></script>
<script type="text/javascript" src="#{assets '/javascripts/autoNumeric.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/bootstrap/js/jquery.ui.widget.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/bootstrap/js/jquery.iframe-transport.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/bootstrap/js/jquery.fileupload.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/bootstrap/js/jquery.fileupload-process.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/bootstrap/js/jquery.fileupload-validate.js'/}"></script>
<script type="text/javascript">
	var haveNote;
	var isNoteShowed;

	$(document).on('click', '.removeBtn', function () {
		$(this).parent().parent().remove()
	});

	$(document).ready(function (e) {

	    haveNote = $("#catatan_ppk").html();

		hargaFinal = new AutoNumeric('#hargaFinal', { digitGroupSeparator: '.', decimalCharacter: ',' });

		#{if !konsultan}
        	jaminanPelaksanaan = new AutoNumeric('#jaminanPelaksanaan', { digitGroupSeparator: '.', decimalCharacter: ',' });
		#{/if}

		$("#load").hide();

		$('#blacklisted').hide();

		$('#confirmation').hide();

        #{if sppbj?.sppbj_id!=null}
			//karena di format util tidak ada fungsi format tanpa Rp dengan delimiter x.xxx.xxx,xx, sementara pake fungsi ini
			$("[name='sppbj.harga_final']").val($("[name='sppbj.harga_final']").val().replace("Rp ", ""));
        #{/if}

		$('#no-confirm').click(function () {
			$('#confirmation').hide();
			$('button[name="simpan"]').show();
			return false;
		});

		$('#yes-confirm').click(function () {
			$('#formSppbj').submit();
		});

        #{if sppbjx?.rekanan?.rkn_id!=null && !lelang?.isItemized()}
			if (${sppbjx?.rekanan?.rkn_id} != lulus_system){
				$("#baris_catatan").css("display", "table-row");
				isNoteShowed = true;
			}
        #{/if}

		$('input[type=radio][name=rekananId]').change(function () {
			#{if !lelang?.isItemized()}
				if ($(this).val() == lulus_system && (haveNote === "null" || haveNote === "")) {
                    $("#catatan_ppk").attr("disabled",true);
					$("#baris_catatan").css("display", "none");
					isNoteShowed = false;
				}
				else {
					$("#baris_catatan").css("display", "table-row");
					isNoteShowed = true;
				}
			#{/if}

			hargaFinal.set(parseInt($(this).attr("harga")));
			#{if isKonsolidasi}
				$('#hargaFinalKonsolidasi').html($(this).attr("hargaRupiah"));
			#{/if}
		});

		$('button[name="simpan"]').on('click', function () {
			//pengecekan blacklist
			var valid = true;
			var llsId = '${lelang.lls_id}'
			var nevId = $('input[name="rekananId"]:checked').val();
			var blacklistUrl = #{jsRoute @lelang.KontrakCtr.pengecekanBlacklist(':nevId', ':llsId') /};
			if (nevId == null) {
				valid = false;
				$("#belum-pilih").show();
				$("#rekananId").focus();
			}

			var note = $("#catatan_ppk").val();
			if(isNoteShowed && !note){
			    valid = false;
			    $("#catatan_ppk").focus();
			    $("#baris_catatan").addClass("has-error");
			    $("#errMsg").show();
			}

			if (valid == true) {
                $("#baris_catatan").removeClass("has-error");
                $("#errMsg").hide();

				$('button[name="simpan"]').hide();
				$('#load').show();
				$.ajax({
					type: 'POST',
					async: false,
					url: blacklistUrl.url({nevId: nevId, llsId: llsId}),
					success: function (data) {
						if (data == 2) {
							valid = false;
							$('#confirmation').show();
						} else if (data == 1) {
							valid = false;
							$('#blacklisted').show();
						} else {
							$('button[name="simpan"]').show();
						}
						$('#load').hide();
					},

					error: function () {
						$('#load').hide();
						$('button[name="simpan"]').show();
						alert('error');
					}
				})
			}


			$('input[type=radio][name=rekananId]').removeAttr("disabled");

			if (valid == true)
				$('#formSppbj').submit();
			else
				return false;
		});
	});

	$("#tambahTemb").click(function () {

		var ind = $('#tblTemb tr').length - 1
		var addTemb = '<tr><td><input type="text" class="form-control" name="nama[' + ind + ']" ></td>' +
				'<td><a href="javascript:void(0)" class="removeBtn"><i class="fa fa-trash-o fa-lg"></i></a></td></tr>'
		$("#tblTemb").append(addTemb)
	});

	function editPemenang() {
		$('input[type=radio][name=rekananId]').attr("disabled", false);
		$("#catatan_ppk").attr("disabled",false);
		$('input').attr("disabled", false);
		$("#div-editPemenang").hide();
	}

	$("input[name='sppbj.harga_final']").keypress(function (e) {
		return isNumberKey(e);
	});

	numeral.language("id", {
		delimiters: {thousands: ".", decimal: ","},
		abbreviations: {thousand: "r", million: "j", billion: "m", trillion: "t"},
		ordinal: function () {
			return "."
		},
		currency: {symbol: "Rp"}
	});

	numeral.language("id");

	function formatCurrency(num) {
		num = num.toString().replace(/\$|\,/g, '');
		if (isNaN(num)) {
			num = 0;
		}
		return numeral(num).format("0,0.00");
	}

	function detailAnggaran(rup_id) {
		$("#da_" + rup_id).toggle(500);
	}
	#{if sppbj?.sppbj_id != null }
	$(document).on('click', '#fileupload', function(){
		var url = '@{lelang.KontrakCtr.uploadDokSppbj(sppbj?.sppbj_id)}';
		$('#fileupload').fileupload({
			url: url,
			dataType: 'json',
			acceptFileTypes: /(\.|\/)(txt|doc|docx|xls|xlsx|pdf|jpg|png|zip|rar)$/i,
			done: function (e, data) {
				$('#progress').hide();
				if (data.result.success) {
					$.each(data.result.files, function (index, file) {
						var upload_date = file.upload_date;
						var content = '<td>' + file.name + '<td>' + upload_date + '</td><td>' +
								'<a href="javascript:void(0)" class="removeDokSppbj" versi="' + file.versi + '">' +
								'<i class="fa fa-trash-o" ></i></a></td>';
						$('<tr/>').html(content).appendTo('#files');
					});
					$('#alert-upload').attr('class', 'alert alert-success').html('&{'flash.fbd'}').show();
				} else {
					$('#alert-upload').attr('class', 'alert alert-danger').html(data.result.message).show();
				}
			},
			progressall: function (e, data) {
				var progress = parseInt(data.loaded / data.total * 100, 10);
				$('#progress').show();
				$('#progress .progress-bar').css(
						'width',
						progress + '%'
				);
			}
		}).on('fileuploadprocessalways', function (e, data) {
			var file = data.files[data.index];
			if (data.files.error && file.error) {
				var msg = file.name+' - '+file.error
				$('#alert-upload').attr('class', 'alert alert-danger fade in').html(msg).show()
			}
		}).prop('disabled', !$.support.fileInput).parent().addClass($.support.fileInput ? undefined : 'disabled');
	});

	$(document).on('click', '.removeDokSppbj', function(){
		var versi = $(this).attr('versi')
		var parent = $(this).parent()
		var source  = #{jsRoute @lelang.KontrakCtr.hapusDokSppbj(sppbj?.sppbj_id) /};
		$.ajax({
			type: 'POST',
			url: source.url(),
			data : {'versi': versi},
			success : function(){
				$('#alert-upload').attr('class', 'alert alert-success').html('&{'flash.ftbdh'}').show();
				parent.parent().remove()
			},
			error : function(){
				$('#alert-upload').attr('class', 'alert alert-danger').html('&{'flash.ftdkdbh'}').show();
			}
		})
	});
	#{/if}
</script>
#{/set} 
